org.richfaces.component

## Class SavedState

- java.lang.Object
- - org.richfaces.component.SavedState

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public final class SavedState
      extends Object
      implements javax.faces.component.StateHolder

  This class keep values of `EditableValueHolder` row-sensitive fields.
  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SavedState` | `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SavedState()`
    `SavedState(javax.faces.component.EditableValueHolder evh)`
    `SavedState(org.richfaces.ui.iteration.IterationStateHolder ish)`
    `SavedState(javax.faces.component.UIForm form)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(javax.faces.component.EditableValueHolder evh)`
    `void` | `apply(org.richfaces.ui.iteration.IterationStateHolder ish)`
    `void` | `apply(javax.faces.component.UIForm form)`
    `boolean` | `isTransient()`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object stateObject)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setTransient(boolean newTransientValue)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final SavedState EMPTY

  - ### Constructor Detail

    - #### SavedState

          public SavedState()

    - #### SavedState

          public SavedState(javax.faces.component.EditableValueHolder evh)

    - #### SavedState

          public SavedState(org.richfaces.ui.iteration.IterationStateHolder ish)

    - #### SavedState

          public SavedState(javax.faces.component.UIForm form)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### apply

          public void apply(javax.faces.component.EditableValueHolder evh)

    - #### apply

          public void apply(org.richfaces.ui.iteration.IterationStateHolder ish)

    - #### apply

          public void apply(javax.faces.component.UIForm form)

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object stateObject)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.